# I3DExWF Struct Reference
[External Interfaces]

Inheritance diagram for I3DExWF:

List of all members.

## Public Member Functions
virtual I3DExWireFrameSet *MCCOMAPI | GetNewInterface ()=0
virtual I3DExWireFrame *MCCOMAPI | GetDeprecatedInterface ()=0
virtual MCCOMErr MCCOMAPI | GetWireFrameBBox (TBBox3D *outBBox, int16 proj, I3DShTreeElement *tree)=0
| the following methods MUST BE common to I3DExWireFrameSet and I3DExWireFrame:
virtual void MCCOMAPI | ShowWFTools (boolean show)=0
| Tells your wireframe to show or not its tools (if any).
virtual boolean MCCOMAPI | HandlesTool (int16 inTool)=0
virtual boolean MCCOMAPI | IsBBoxAlwaysUsedForParentBBox ()=0

## Detailed Description

I3DExWF will become I3DExWireFrameSet when we get rid of the deprecated I3DExWireFrame.

## Member Function Documentation

virtual I3DExWireFrame* MCCOMAPI I3DExWF::GetDeprecatedInterface | ( |  | ) | `[pure virtual]`

Implemented in TBasicWireframe, and TBasicWireframeSet.

virtual I3DExWireFrameSet* MCCOMAPI I3DExWF::GetNewInterface | ( |  | ) | `[pure virtual]`

Implemented in TBasicWireframe, and TBasicWireframeSet.

virtual MCCOMErr MCCOMAPI I3DExWF::GetWireFrameBBox | ( | TBBox3D * | outBBox,
|  | int16 | proj,
|  | I3DShTreeElement * | tree |
| ) |  |  | `[pure virtual]`

the following methods MUST BE common to I3DExWireFrameSet and I3DExWireFrame:

Implemented in TBasicWireframe, and TBasicWireframeSet.

virtual boolean MCCOMAPI I3DExWF::HandlesTool | ( | int16 | inTool | ) | `[pure virtual]`

Implemented in TBasicWireframe, and TBasicWireframeSet.

virtual boolean MCCOMAPI I3DExWF::IsBBoxAlwaysUsedForParentBBox | ( |  | ) | `[pure virtual]`

Tells if BBox is always used to calculate parent BBox In cases we do not want all helper objects

Implemented in TBasicWireframe, and TBasicWireframeSet.

virtual void MCCOMAPI I3DExWF::ShowWFTools | ( | boolean | show | ) | `[pure virtual]`

Tells your wireframe to show or not its tools (if any).

Implemented in TBasicWireframe, and TBasicWireframeSet.

The documentation for this struct was generated from the following file:

- I3DWireFrameSet.h